/*******************************************************************************
* File Name: ADCP.h  
* Version 2.20
*
* Description:
*  This file contains the Alias definitions for Per-Pin APIs in cypins.h. 
*  Information on using these APIs can be found in the System Reference Guide.
*
* Note:
*
********************************************************************************
* Copyright 2008-2015, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_PINS_ADCP_ALIASES_H) /* Pins ADCP_ALIASES_H */
#define CY_PINS_ADCP_ALIASES_H

#include "cytypes.h"
#include "cyfitter.h"
#include "cypins.h"


/***************************************
*              Constants        
***************************************/
#define ADCP_0			(ADCP__0__PC)
#define ADCP_0_PS		(ADCP__0__PS)
#define ADCP_0_PC		(ADCP__0__PC)
#define ADCP_0_DR		(ADCP__0__DR)
#define ADCP_0_SHIFT	(ADCP__0__SHIFT)
#define ADCP_0_INTR	((uint16)((uint16)0x0003u << (ADCP__0__SHIFT*2u)))

#define ADCP_INTR_ALL	 ((uint16)(ADCP_0_INTR))


#endif /* End Pins ADCP_ALIASES_H */


/* [] END OF FILE */
